@echo off

@REM ************************************************************************
@REM *
@REM *
@REM *   Licensed Materials - Property of IBM
@REM *
@REM *   IBM DOS TCP/IP (C) Copyright IBM Corp. 1991. All rights reserved.
@REM *   US Government Users Restricted Rights - Use, duplication or
@REM *   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM *
@REM *
@REM ************************************************************************


@REM *********************************************
@REM     MICROSOFT C  5.1
@REM *********************************************

@REM If your base directory for your Microsoft C 7.0 compiler is
@REM set to anywhere different, change it here.

set CBASE=F:\MSC70
set CBIN=%CBASE%\BIN

@REM Save the old environment variables.

set OLDPATH=%PATH%
set OLDLIB=%LIB%
set OLDINCLUDE=%INCLUDE%

@REM Set the PATH, INCLUDE, and LIB environment variables.

PATH=%CBIN%;%PATH%
set LIB=%CBASE%\LIB;%ETC%\..\LIB;%LIB%
set INCLUDE=%CBASE%\INCLUDE;%ETC%\..\INCLUDE\RSA;%INCLUDE%


@REM *********************************************
@REM     Now compile the programs.
@REM *********************************************

@echo on
cl /c /AS /W3 udpc.c
@echo off
if ERRORLEVEL=1 goto ERROR_EXIT
@echo on
link /stack:6144 /seg:200 udpc,,,sockets.lib;
@echo off
if ERRORLEVEL=1 goto ERROR_EXIT

@echo on
cl /c /AS /W3 udps.c
@echo off
if ERRORLEVEL=1 goto ERROR_EXIT
@echo on
link /stack:6144 /seg:200 udps,,,sockets.lib;
@echo off
if ERRORLEVEL=1 goto ERROR_EXIT

@echo on
cl /c /AS /W3 tcpc.c
@echo off
if ERRORLEVEL=1 goto ERROR_EXIT
@echo on
link /stack:6144 /seg:200 tcpc,,,sockets.lib;
@echo off
if ERRORLEVEL=1 goto ERROR_EXIT

@echo on
cl /c /AS /W3 tcps.c
@echo off
if ERRORLEVEL=1 goto ERROR_EXIT
@echo on
link /stack:6144 /seg:200 tcps,,,sockets.lib;
@echo off
if ERRORLEVEL=1 goto ERROR_EXIT

goto OUT


:ERROR_EXIT
echo ERROR please correct the indicated condition and retry.

:OUT

@REM *********************************************
@REM     Now that we have compiled the programs,
@REM     let's be polite and restore the PATH,
@REM     INCLUDE and LIB variables to what they
@REM     were originally.
@REM *********************************************

set PATH=%OLDPATH%
set LIB=%OLDLIB%
set INCLUDE=%OLDINCLUDE%

@REM Finally, erase the temporary variables that we created.

set OLDPATH=
set OLDLIB=
set OLDINCLUDE=
set CBASE=
set CBIN=
set CBOUND=
